# Class ConeSearchConer

java.lang.Object
uk.ac.starlink.ttools.cone.ConeSearchConer

All Implemented Interfaces:
  `Coner`

public class ConeSearchConer extends Object implements Coner
Coner implementation which uses remote Cone Search services or similar.

Since:
  10 Aug 2007
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ConeSearchConer()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`configureRadiusParam(uk.ac.starlink.task.Environment env, uk.ac.starlink.task.Parameter<?> srParam)`
Provides this object with a chance to perform custom configuration on certain general cone search parameters.
`ConeSearcher`
`createSearcher(uk.ac.starlink.task.Environment env, boolean bestOnly)`
Returns a searcher object which can perform the actual cone searches as configured by this object's parameters.
`Coverage`
`getCoverage(uk.ac.starlink.task.Environment env)`
Returns a coverage object suitable for use with the cone search service configured by this object's parameters.
`uk.ac.starlink.task.Parameter<String>`
`getFormatParameter()`
Returns the parameter used to acquire the DAL requested data format.
`uk.ac.starlink.task.Parameter<?>[]`
`getParameters()`
Returns any configuration parameters associated with this object.
`uk.ac.starlink.task.Parameter<ConeServiceType>`
`getServiceTypeParameter()`
Returns the parameter used to acquire the service type.
`uk.ac.starlink.task.Parameter<URL>`
`getServiceUrlParameter()`
Returns the parameter used to acquire the service URL.
`String`
`getSkySystem()`
Returns "ICRS", which is the system defined to be used by the Cone Search specification.
`uk.ac.starlink.task.Parameter<String>`
`getVerbosityParameter()`
Returns the parameter used to acquire the requested verbosity.
`void`
`setNside(int nside)`
Sets the NSIDE parameter for MOC coverage maps.
`boolean`
`useDistanceFilter(uk.ac.starlink.task.Environment env)`
Indicates whether the result table generated by the created ConeSearcher object should be subjected to additional filtering to ensure that only rows in the specified search radius are included in the final output.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConeSearchConer

public ConeSearchConer()
Constructor.

## Method Details

### getSkySystem

public String getSkySystem()
Returns "ICRS", which is the system defined to be used by the Cone Search specification.

Specified by:
  `getSkySystem` in interface `Coner`
Returns:
  ecliptic coordinate system name

### getParameters

public uk.ac.starlink.task.Parameter<?>[] getParameters()
Description copied from interface: `Coner`
Returns any configuration parameters associated with this object.

Specified by:
  `getParameters` in interface `Coner`
Returns:
  parameter array

### getServiceUrlParameter

public uk.ac.starlink.task.Parameter<URL> getServiceUrlParameter()
Returns the parameter used to acquire the service URL.

Returns:
  service URL parameter

### getServiceTypeParameter

public uk.ac.starlink.task.Parameter<ConeServiceType> getServiceTypeParameter()
Returns the parameter used to acquire the service type.

Returns:
  service type parameter

### getFormatParameter

public uk.ac.starlink.task.Parameter<String> getFormatParameter()
Returns the parameter used to acquire the DAL requested data format.

Returns:
  format parameter

### getVerbosityParameter

public uk.ac.starlink.task.Parameter<String> getVerbosityParameter()
Returns the parameter used to acquire the requested verbosity.

Returns:
  verbosity parameter

### configureRadiusParam

public void configureRadiusParam(uk.ac.starlink.task.Environment env, uk.ac.starlink.task.Parameter<?> srParam) throws uk.ac.starlink.task.TaskException
Description copied from interface: `Coner`
Provides this object with a chance to perform custom configuration on certain general cone search parameters. If no customisation is required, no action need be taken. This will be called during the parameter acquisition phase, before the relevant parameters have been interrogated. Since the execution environment is given however, it will not be called during automatic document generation.

Specified by:
  `configureRadiusParam` in interface `Coner`
Parameters:
  `env` - execution environment
  `srParam` - search radius parameter
Throws:
  `uk.ac.starlink.task.TaskException`

### useDistanceFilter

public boolean useDistanceFilter(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Description copied from interface: `Coner`
Indicates whether the result table generated by the created ConeSearcher object should be subjected to additional filtering to ensure that only rows in the specified search radius are included in the final output.

Specified by:
  `useDistanceFilter` in interface `Coner`
Parameters:
  `env` - execution environment
Returns:
  true iff post-query filtering on distance is to be performed
Throws:
  `uk.ac.starlink.task.TaskException`

### createSearcher

public ConeSearcher createSearcher(uk.ac.starlink.task.Environment env, boolean bestOnly) throws uk.ac.starlink.task.TaskException
Description copied from interface: `Coner`
Returns a searcher object which can perform the actual cone searches as configured by this object's parameters. If the `bestOnly` flag is set, then only the best match is required. The implementation may use this as a hint if it helps efficiency, but is not obliged to return single-row tables, since extraneous rows will be filtered out later. Similarly any rows which do not actually match the given criteria will be filtered out later, so it is not an error to return too many rows.

Specified by:
  `createSearcher` in interface `Coner`
Parameters:
  `env` - execution environment
  `bestOnly` - true iff only the best match will be used
Throws:
  `uk.ac.starlink.task.TaskException`

### getCoverage

public Coverage getCoverage(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Description copied from interface: `Coner`
Returns a coverage object suitable for use with the cone search service configured by this object's parameters.

Specified by:
  `getCoverage` in interface `Coner`
Parameters:
  `env` - execution environment
Returns:
  coverage footprint, or null
Throws:
  `uk.ac.starlink.task.TaskException`

### setNside

public void setNside(int nside)
Sets the NSIDE parameter for MOC coverage maps. Defaults to -1, which means no settting (up to service).

Parameters:
  `nside` - HEALPix NSIDE parameter for MOCs